import initCtx from "@/utils/ctx.js";

export default function () {
	const {utils} = initCtx(this)

	this.createAccount = function () {
		utils.popup(".createPopup", {
			callback: function () {
				utils.success("保存成功", function () {
					utils.reload()
				})
			}
		})
	}

	this.updateAccount = function (accountId) {
		utils.popup(".updatePopup?accountId=" + accountId, {
			callback: function () {
				utils.success("保存成功", function () {
					utils.reload()
				})
			}
		})
	}

	this.deleteAccount = function (accountId) {
		utils.confirm("确定要删除此账号吗？", function () {
			this.$post(".delete")
				.params({
					accountId: accountId
				})
				.refresh()
		})
	}
}